@charset "UTF-8";

/*共通部分*/

html{
    font-size: 100%;/*ユーザーの設定した文字サイズを反映*/
}

body{
    font-family:"M PLUS 1","Zen Kaku Gothic New", sans-serif;
    font-style: normal;

    font-style: normal;
    display: flex;
    justify-content: space-between;
    gap: 0;
    
    background-color: #FFF;
    color: #4F3636;
}

/*/////////千葉ちゃん部分////////////*/
.bg-grid{
    position: fixed;
    inset: 0;
    z-index: -2; 
    /* 方眼紙模様に必須のスタイル */
    background-image: linear-gradient(0deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px)),
    linear-gradient(90deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px));
    background-size: 35px 35px;
    background-repeat: repeat;
    background-position: center center;
}

img{
    display: block;
}

/*ハンバーガーメニュー（PC非表示）*/
/*ハンバーガーボタン */
.hamburger{
  position: fixed;
  top: 20px;
  right: 20px;
  width: 56px;
  height: 56px;
  background: #60AFA4;
  border-radius: 12px;
  border: none;
  display: none; /* PCでは非表示 */
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  z-index: 10000;
  cursor: pointer;
}

.hamburger span{
  width: 28px;
  height: 4px;
  background: #fff;
  border-radius: 4px;
  transition: 0.3s ease;
}

/* ×に変形 */
.hamburger.active span:nth-child(1){
  transform: translateY(10px) rotate(45deg);
}
.hamburger.active span:nth-child(2){
  opacity: 0;
}
.hamburger.active span:nth-child(3){
  transform: translateY(-10px) rotate(-45deg);
}

/*スライドメニュー*/
.sp-menu{
  position: fixed;
  top: 0;
  right: 0;
  width: min(80vw, 320px);
  height: 100vh;
  background: #60AFA4;
  border-radius: 20px 0 0 20px;
  padding: 120px 24px;
  display: flex;
  flex-direction: column;
  gap: 24px;

  transform: translateX(100%);
  transition: transform 0.4s ease;
  z-index: 9999;
}

.sp-menu a{
  text-decoration: none;
  color: #fff;
}

.sp-menu-item{
  display: flex;
  flex-direction: column;

  padding: 10px;
  text-align: center;
  border-radius: 14px;
  transition: background-color 0.3s ease;
}
.sp-menu-item:hover{
  background: rgba(255,255,255,0.25);
}
/* メイン文字 */
.sp-menu-item .main{
  font-size: 24px;
  font-weight: 700;
}

/* サブ文字 */
.sp-menu-item .sub{
  font-size: 14px;
  opacity: 0.9;
}



/* メニュー表示 */
.sp-menu.active{
  transform: translateX(0);
}
/*ハンバーガーここまで*/

/*緑のグラウンド*/
.global-oval{
    position: fixed;
    left: 50%;
    bottom: -33vh;
    width: 120vw;
    height: 70vh;
    background: #61b0a4;
    border-radius: 50%;
    transform: translateX(-50%);
    pointer-events: none;
    z-index: 0;
}

/*左側部分*/
.left-area{
    order: 1;
    width: 30vw;
    height: 100vh;
    position: sticky;
    top: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 9999;
    overflow: hidden;
}

.left-wrap{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* 左エリアの基準サイズ */
    --left-base: min(30vw, 420px);
} 
.left-stage{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: var(--left-base);
  aspect-ratio: 3 / 5;   /* ← デザイン比率 */
  
  overflow: visible;    /* はみ出しOK */
}

/*左のパズル装飾　上と下*/
.left-deco, .right-deco{
  position: absolute;
  inset: 0;
  z-index: 4;
  pointer-events: none;
}
.left-deco::before{
    content: "";
    position: absolute;
    top: -13%;
    left: 50%;
    transform: translateX(-50%);
    width: 140%;
    aspect-ratio: 1.5 / 1;
    background: url(img/pc-left-pazuru01.svg) no-repeat center / contain;
}
.left-deco::after{
    content: "";
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-85%);
    width: 100%;
    aspect-ratio: 1.5 / 1;
    background: url(img/pc-left-pazuru02.svg) no-repeat center / contain;
}

/*左側内容*/
.left-content{
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.left-logo{
  margin-top: 35%;
  width: 65%;
  pointer-events: none;
}
.char1{
    position: absolute;
    width: 25%;
    top: 31%;
    left: 15%;
    transform: translateX(-50%);
    pointer-events: none;
}
.date-img{
    position: absolute;
    width: 65%;
    top: 40%;
    left: 17%;
    transform: rotate(-15deg);
}
.char2{
    position: absolute;
    width: 35%;
    top: 70%;
    left: 85%;
    transform: translateX(-50%);
    pointer-events: none;
}
/* 左側ここまで */



/*右側部分*/
.right-area{
    order: 3;
    width: 30vw;
    height: 100vh;
    position: sticky;
    top: 0;

    z-index: 9999;
}

.menu-wrap{
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;

  --menu-base: min(30vw, 420px);
}
.right-stage{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: var(--menu-base);
  aspect-ratio: 3/5;        
  
  overflow: visible;
}


/*右のパズル装飾 上と下*/
.right-deco::before{
    content: "";
    position: absolute;
    top: -10%;
    left: 50%;
    transform: translateX(-50%);

    width: 350%;
    aspect-ratio: 4 / 1;
    background: url(img/pc-right-pazuru01.svg) no-repeat center / contain;
}
.right-deco::after{
    content: "";
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-35%);

    width: 200%;
    aspect-ratio: 4 / 1;
    background: url(img/pc-right-pazuru02.svg) no-repeat center / contain;
}
.char5{
    position: absolute;
    width: 30%;
    top: -3%;
    left: 98%;
    transform: translateX(-50%);
    pointer-events: none;
    z-index: -1;
}
/*メニュー部分*/
.menu{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    transform: rotate(10deg);

    top: 33%;
    left: -5%;
}
.menu-scale{
  width: min(20vw, 320px);
  position: relative;
  z-index: 10;
}

/*看板の棒*/
.menu-scale::before{
    content: "";
    position: absolute;
    width: 7%;
    height: 160%;
    background: #d9d9d9;
    top: 78%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;             /* 看板の裏に */
    border-radius: 4px 4px 10px 10px;
}
/*看板上のよくなるくん*/
.char3-body{
    position: absolute;
    width: 35%;            /* 看板幅基準 */
    top: -13%;             /* 看板高さ基準 */
    left: 17%;
    transform: translateX(-50%);
    z-index: -2;           /* 看板の後ろ */
    pointer-events: none;
}
.char3-arm{
    position: absolute;
    width: 10%;
    top: 1%;
    left: 29%;
    transform: translateX(-50%);
    z-index: 5;            /* 看板より前 */
    pointer-events: none;
}
/*看板下のよくなるくんと台*/
.puzzle-wrap{
    position: relative;
    width: 100%;
}
.menu-board{
    width: 100%;
    display: block;
    margin-top: 20px;
}
.char4{
    position: absolute;
    width: 45.6%;
    left: 50%;
    bottom: -93%;
    transform: translateX(0.4%) translateY(-0.4%) rotate(-9.5deg);
    z-index: 3;
    pointer-events: none;
    transition: transform 0.3s ease;
}
.menu-item-last .char4{
    transform: translateX(3%) translateY(3%) rotate(-9deg);
}

.menu-item-last:hover .char4{
    transform: translateX(0.4%) translateY(-0.4%) rotate(-9.5deg);    
}
.char-stand{
    position: absolute;
    width: 30%;
    left: 65%;
    bottom: -176%;
    transform: rotate(-9deg);
    z-index: 2;
    pointer-events: none;
}
/*右側ここまで*/
/*main*/
.center{
    order: 2;
    width: 40vw;
    z-index: 1;
    position: relative;
}

/* .center::before {
    content: "";
    position: absolute;
    inset: 0;

    background-image: url(img/bg-pazuru.png);
    background-repeat: repeat-y;
    background-position: center top;
    background-size: 100% auto;
    z-index: -1;
} */

            /* 確認用ダミー */
            .center-scroll {
            width: 100%;
            }

            .center-block {
                position: relative;
                min-height: 150vh;
                overflow: hidden;
            

            font-size: 48px;
            font-weight: bold;
            color: #333;
            }

            /* 見分けやすいように交互に色を変える */
           /* .center-block:nth-child(odd) {
            background: rgba(255, 255, 255, 0.6);
            }
            .center-block:nth-child(even) {
            background: rgba(0, 0, 0, 0.05);
            } */




/*topの画像設定*/
.back-img {
    width: 100%;
}

.top {
    position: absolute;
    top: calc(15vh + 10%);
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    gap: 6vw;
    z-index: 3;
}




/* レスポンシブデザイン */
/*タブレット*/
@media (max-width: 1150px) {
    header {
        display: none;
    }
    .hamburger{
        display: flex;
    }
    .global-oval{
        bottom: -25vh;
        transform: translateX(-50%);
    }
    .left-area{
        width: 35vw;
    }
    .left-deco::before{
        top: -50%;
        left: 50%;
        transform: translateX(-50%);
        width: 170%;
        aspect-ratio: 1.5 / 1;
        background: url(img/tablet-pazuru01.svg) no-repeat center / contain;
    }
    .left-deco::after{
        bottom: -70%;
        left: 50%;
        transform: translateX(-50%);
        width: 230%;
        aspect-ratio: 1.5 / 1;
        background: url(img/tablet-pazuru02.svg) no-repeat center / contain;
    }
    .left-logo{
        margin-top: 30%;
        width: 90%;
        pointer-events: none;
    }
    .char1{
        position: absolute;
        width: 35%;
        top: -8%;
        left: -3%;
        transform: translateX(-50%);
        pointer-events: none;
    }
    .date-img{
        position: absolute;
        width: 65%;
        top: 40%;
        left: 17%;
        transform: rotate(-5deg);
    }
    .char2{
        position: absolute;
        width: 45%;
        top: 70%;
        left: 70%;
        transform: translateX(-50%);
        pointer-events: none;
    }
    .center{
        width: 65vw;
    }
    
}
/*スマホ*/
@media (max-width: 768px) {
    .left-area {
        display: none;
    }
    body {
        justify-content: center;
    }
    .global-oval{
        display: none;
    }
    .center{
        width: 100vw;
    }
}




/*///////////suzuki担当////////////*/

/*代表作品*/
.gachizenbu{
    width: 40vw;
}
@media (max-width: 1150px) {
    .gachizenbu{
        width: 65vw;
    }
}
@media (max-width: 768px) {
    .gachizenbu{
        width: 100vw;
    }
  
}
.sakuhin-all{
    background-color: #FFF;
    background-image: linear-gradient(rgba(255,255,255,0.8)), url(img/bg-pazuru.png);
    background-repeat: repeat-y;
    background-size: 100% auto;
    padding: 0 0 5vw 0;
}
.sakuhin-all h1{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    font-size: 3vw;
    font-weight: 800;
    padding: 10vw 0 10vw;
}
@media (max-width: 768px) {
    .sakuhin-all h1{
        font-size: 5vw;
    }
}

.sakuhin-pick-up h3,.sakuhin-pick-up p{
    display: flex;
    justify-content: center;
    text-align: center;
}
.sakuhin-pick-up h3{
    font-weight: 600;
    font-size: 1.75vw;
    margin: 0 0 2vw 0;
}
@media (max-width: 768px) {
    .sakuhin-pick-up h3{
        font-size: 2.5vw;
    }
}
.h3reigai{
    display: flex;
    justify-content: center;
    text-align: center;

    font-weight: 600;
    font-size: 1.75vw;
    margin: 0 0 1vw 0;
}
@media (max-width: 768px) {
    .h3reigai{
        font-size: 3vw;
    }
}
.sakuhin-pick-up p{
    font-size: 1.25vw;
    margin: 0 0 2vw 0;
}
@media (max-width: 768px) {
    .sakuhin-pick-up p{
        font-size: 2vw;
    }
}

.pro-img1{
    display: block;
    width: 94%;
    margin: 0 0 1vw 2.5vw;

    background-image: url(img/画像/01_インタラクティブ絵本.jpg);
    background-size: 90%;
    background-position: 1vw 1vw;/*左・上*/

    overflow: hidden;
}
/* レスポンシブデザイン */
@media (max-width: 1150px) {
  .pro-img1{
    width: 93%;
    margin: 0 0 1vw 4.5vw;
    }
}
@media (max-width: 768px) {
    .pro-img1{
    width: 93%;
    margin: 0 0 1vw 7vw;
    }
  
}
.pro-img2{
    display: block;
    width: 86%;
    margin: 0 auto 5vw;

    background-image: url(img/画像/02_エゾシカ革製品.jpg);
    background-size: 93%;
    background-position: center;
}
.pro-img3{
    display: block;
    width: 86%;
    margin: 0 auto 4vw;

    background-image: url(img/画像/03_ニッセツ.jpg);
    background-size: 93%;
    background-position: center 1.5vw;
}
.pro-img4{
    display: block;
    width: 86%;
    margin: 0 auto 5vw;

    background-image: url(img/画像/04_スキーオリエンテーリング.jpg);
    background-size: 93%;
    background-position: center;
}
.pro-img5{
    display: block;
    width: 86%;
    margin: 0 auto 4vw;

    background-image: url(img/画像/05_江別楽友協会.png);
    background-size: 93%;
    background-position: center 1.5vw;
}
.pro-img6{
    display: block;
    width: 86%;
    margin: 0 auto;

    background-image: url(img/画像/06_エゾシカ肉の消費促進.jpg);
    background-size: 93%;
    background-position: center;
}




/*その他作品*/
.sonota{
    background-color: #FFF;
    background-image: url(img/sonota_haikei.svg);
    background-size: cover;
    background-position: center;

    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    font-weight: 400;
    font-size: 2vw;
}
.hoka-moji{
    background-color: #FFF;
    background-image: linear-gradient(0deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px)),
    linear-gradient(90deg, transparent calc(100% - 1px), #a7def7 calc(100% - 1px));
    background-size: 35px 35px;
    background-repeat: repeat;
    background-position: center center;

    margin: 10vw 3vw 8vw;
    padding: 4.5vw 2vw;

    border-radius: 2vw;
}

@media (max-width: 768px) {
    .hoka-moji{
        font-size: 2.5vw;
    }
  
}


@keyframes bgChange {
    0%   { background-image: url("img/画像/sonota_1.jpg"); }
    15%  { background-image: url("img/画像/sonota_2.jpg"); }
    30%  { background-image: url("img/画像/sonota_3.jpg"); }
    45%  { background-image: url("img/画像/sonota_4.jpg"); }
    60%  { background-image: url("img/画像/sonota_5.jpg"); }
    75%  { background-image: url("img/画像/sonota_6.jpg"); }
    90%  { background-image: url("img/画像/sonota_7.jpg"); }
    100% { background-image: url("img/画像/sonota_1.jpg"); }
}
.hoka-suraido{
    background-size: cover;
    background-repeat: repeat;
    background-position: center;

    animation: bgChange 12s steps(1) infinite;/*///////////////////////////////////////////////////////////*/

    margin: 0 3vw;
    padding: 18vw 2vw;
    border-radius: 2vw;
}
@media (max-width: 1150px) {
    .hoka-suraido {
        margin: 0 6vw;
        padding: 25vw 2vw;
    }
    .hoka-moji{
        margin: 10vw 6vw 8vw;
    }
  
}
@media (max-width: 768px) {
    .hoka-suraido {
        margin: 0 12vw;
        padding: 32vw 2vw;
    }
    .hoka-moji{
        margin: 10vw 12vw 8vw;
    }
  
}

.hoka-modoru{
    text-align: initial;
    background-color: #006B5C;
    color: #FFF;

    width: fit-content;

    margin: 5vw 3vw 10vw;
    padding: 2.5vw 3vw;

    border-radius: 3vw;
    text-decoration: none;
}










/*フッター*/
footer{
    background-color: #FFF;
    background-image: linear-gradient(rgba(255,255,255,0.8)), url(img/bg-pazuru.png);
    background-size: 100% auto;
}
.kousin-chu{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    font-size: 2vw;
    font-weight: 800;
    padding: 5vw 0 0;
}
@media (max-width: 1150px) {
    .kousin-chu{
        padding: 20vw 0 0;
    }
  
}

.kousin-chu::before{
    content: "";
    width: 2vw;
    height: 10vw;
    background-image: url("img/bouhi.png");
    background-size: contain;
    background-position: center;
}
.kousin-chu::after{
    content: "";
    width: 2vw;
    height: 10vw;
    background-image: url("img/boumi.png");
    background-size: contain;
    background-position: center;
}
@media (max-width: 768px) {
    .kousin-chu{
        font-size: 3vw;
    }
    .kousin-chu::before{
        width: 3vw;
    }
    .kousin-chu::after{
        width: 3vw;
    }
  
}

/* footer h1::before{
    content: "\\";
    font-weight: 400;
    font-size: 3em; /*2倍サイズ*/
/* }
footer h1::after{
    content: "/";
    font-weight: 400;
    font-size: 3em; 2倍サイズ */
/*} */

.X{
    display: block;
    width: 30%;
    margin: 0 auto;
}
.oka-yokunaru{
    display: block;
    width: 100%;

    margin: -3.8vw 0 -1px;
}
@media (max-width: 1150px) {
    .oka-yokunaru{
        margin: -6.5vw 0 -1px;
    }
}
@media (max-width: 768px) {
    .oka-yokunaru{
        margin: -10vw 0 -1px;
    }
}

.oka-dodai{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    background-color: #F5A200;
    padding: 3vw 0 5vw;
}

.mail ,.oka-dodai small{
    font-size: 2vw;
}
/*フッターここまで*/







/* レスポンシブデザイン */
@media (max-width: 1150px) {
  
}
@media (max-width: 768px) {
  
}

